Skip to main content
PATCH
Scaling ClickPipe

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service that owns the ClickPipe.

clickPipeId
string<uuid>
required

ID of the ClickPipe to update scaling settings.

Body

application/json
replicas
integer | null

Number of replicas to scale to. Use to scale Kafka pipes.

Required range: 1 <= x <= 10
concurrency
integer | null

Number of concurrency to scale to. Use to scale S3 pipes.

Required range: 0 <= x <= 34
replicaCpuMillicores
integer | null

CPU in millicores for each replica. Use to scale streaming pipes.

Required range: 125 <= x <= 2000
replicaMemoryGb
number | null

Memory in GB for each replica. Use to scale streaming pipes.

Required range: 0.5 <= x <= 8

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 2, 2026